Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/11655/?format=api
{ "ob_id": 11655, "uuid": "01ec9f27539c4be481a4bfc83bfb7fdc", "title": "COMET: Continuous GPS measurements from the Aegean for 2007", "abstract": "Continuous GPS measurements during 2007 have been made by a network of GPS receivers across the Aegean to monitor tectonic movement across the Eastern Mediterranean by the UK's Centre for the Observation and Modelling of Earthquakes, Volcanoes and Tectonics (COMET). These data are made available in the RINEX (Receiver-INdependent data EXchange) format, version 2.10 or more recent, with Hatanaka compaction and UNIX compression applied. These data are available to all registered users under the UK Government Open Data licence. This is part of an ongoing collection published in yearly datasets. Updates will be provided to the archive as and when ready.", "keywords": "", "publicationState": "published", "dataPublishedTime": "2014-10-14T13:12:52", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/11684/?format=api", "dataPath": "/neodc/comet-cgps/data/2007", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 1494416538, "numberOfFiles": 4862, "fileFormat": "Data are available in the RINEX (Receiver-INdependent data EXchange) format, version 2.10 or more recent (ftp://igscb.jpl.nasa.gov/igscb/data/format/rinex210.txt) with Hatanaka compaction (ftp://terras.gsi.go.jp/software/RNXCMP_4.0.4/) and UNIX compression applied. We propose to comply with the directory structure used by the IGS (International GNSS Service, http://www.igs.org) data centres: daily session for each site are stored in separate observation files and grouped in day directories; the day directories are grouped in year directories." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3263/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/505/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were prepared by the COMET+ team and delivered to NEODC for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/11688/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/11657/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/30127/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45261/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45254/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45255/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45256/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45258/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45259/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45260/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45257/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45262/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45263/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45264/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45265/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45266/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45267/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/45268/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/11624/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }